org.apache.hadoop.hdfs.server.datanode

## Class ReplicaHandler

- java.lang.Object
- - org.apache.hadoop.hdfs.server.datanode.ReplicaHandler

- All Implemented Interfaces:
    Closeable, AutoCloseable

      public class ReplicaHandler
      extends Object
      implements Closeable

  This class includes a replica being actively written and the reference to the fs volume where this replica is located.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ReplicaHandler(ReplicaInPipeline replica, FsVolumeReference reference)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `close()`
    `ReplicaInPipeline` | `getReplica()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ReplicaHandler

          public ReplicaHandler(ReplicaInPipeline replica,
                                FsVolumeReference reference)

  - ### Method Detail

    - #### close

          public void close()
                     throws IOException

      Specified by:
        `close` in interface `Closeable`
      Specified by:
        `close` in interface `AutoCloseable`
      Throws:
        `IOException`

    - #### getReplica

          public ReplicaInPipeline getReplica()

Copyright © 2008–2022 Apache Software Foundation. All rights reserved.